API-Schlüssel aktualisieren
Anzeigemetadaten oder Aktivstatus aktualisieren. Rotiert den Schlüsselwert nicht.
curl -X PATCH "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN (JWT)" \
-d '{
"name": "John Doe",
"description": "example_string",
"isActive": true
}'
import requests
import json
url = "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
}
data = {
"name": "John Doe",
"description": "example_string",
"isActive": true
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000", {
method: "PATCH",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN (JWT)"
},
body: JSON.stringify({
"name": "John Doe",
"description": "example_string",
"isActive": true
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"name": "John Doe",
"description": "example_string",
"isActive": true
}`)
req, err := http.NewRequest("PATCH", "https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN (JWT)")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/api-keys/123e4567-e89b-12d3-a456-426614174000')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN (JWT)'
request.body = '{
"name": "John Doe",
"description": "example_string",
"isActive": true
}'
response = http.request(request)
puts response.body
{
"apiKey": {
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "John Doe",
"description": "example_string",
"key_prefix": "example_string",
"permissions": {
"scopes": [
"*"
],
"rate_limit_per_hour": 1000
},
"last_used_at": "2024-12-25T10:00:00Z",
"expires_at": "2024-12-25T10:00:00Z",
"is_active": true,
"created_at": "2024-12-25T10:00:00Z",
"created_by": "123e4567-e89b-12d3-a456-426614174000"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
/api-keys/{id}Target server for requests. Edit to use your own host.
Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
API-Schlüssel-UUID
The media type of the request body
false zum Deaktivieren oder true zum erneuten Aktivieren setzen
Request Preview
Response
Response will appear here after sending the request
Authentication
Bearer token (JWT). Supabase-Access-Token-JWT für Desktop-Clients und Kontoverwaltungsrouten
wie die API-Schlüssel-Verwaltung (owner / admin für API-Schlüssel erforderlich).
Senden als Authorization: Bearer eyJ....
Path Parameters
API-Schlüssel-UUID
Body
false zum Deaktivieren oder true zum erneuten Aktivieren setzen